import pandas as pd


"""
This file is to order the session data


@author: Jonathan van Oudheusden
@date: 2024-06-19

Required files: 
    - sessionsdata_bsc_anonym.csv

    
Output files:
    - Output/AllSessionsData.csv
    - Output/intro.csv
"""

# reading the csv file
filePathSession = 'Data/sessionsdata_bsc_anonym.csv'
df = pd.read_csv(filePathSession)

# ordering the the data based on session_num and rand_id
pivot_df = df.pivot_table(index=['rand_id', 'session_num'], columns='response_type', values='response_value', aggfunc='first')
reset_df = pivot_df.reset_index()

# get first and last session of each participant
first_session_df = reset_df[reset_df['session_num'] == 1]
final_session_df = reset_df[reset_df['session_num'] == 5]

print(f"first session: {len(first_session_df)} final session {len(final_session_df)}, difference {len(first_session_df) - len(final_session_df)}")

# reorder for nice looking sheet
indexed_df = reset_df.pivot_table(index=['rand_id', 'session_num'],aggfunc='first')
indexed_df.to_csv('Output/AllSessionsData.csv')

##------------------------------------------------##

# Columns you want to keep
columns_to_keep = ['rand_id', 'human_coach_introduction_slot', 'smoker']

# Drop columns not in the 'columns_to_keep' list
intro_df = first_session_df.drop(columns=reset_df.columns.difference(columns_to_keep)).pivot_table(index=['rand_id'], aggfunc='first')


intro_df.to_csv('Output/intro.csv')