# Analyzing users’ introductions to human coaches
## Dataset overview

#### Author: Jonathan van Oudheusden

#### Date: June 2024
This file is meant to give you an overview of the python scripts used for calculating values and generating images. This folder also contains the coding used for thematic analysis.

### Study
This study was done with data collected in https://osf.io/78cnr. However at the time of releasing this, the files used in the analysis won't be released. Eventually the data of the study will be made available at https://osf.io/78cnr. Then the data file will have to be matched up with the original data using the rand_it and session_num.

This work is part of the multidisciplinary research project Perfect Fit, which is supported by several funders organized by the Netherlands Organization for Scientific Research (NWO), program Commit2Data - Big Data \& Health (project number 628.011.211). Besides NWO, the funders include the Netherlands Organisation for Health Research and Development (ZonMw), Hartstichting, the Ministry of Health, Welfare, and Sport (VWS), Health Holland, and the Netherlands eScience Center.

### Data
This dataset contains 3 kinds of data:
- Excel sheet with rand_id, session_num, ownCodes and PeerCodes
- Python code used for calculations
- images generated by the python code, used in the report

### Files
This folder contains the following files:
- README.md: This README-file.
- ChecklistDataRepositoryReview.docx: checklist for this repository
- requirements.txt: all pip requirements for running the python code
- PreProcessingData.py: Script used for combining all session data into 2 excel sheets, one with all sessions and one with just the introduction, rand_id and smoker.
- CalculateCodingAgreement.py: Python script used for calculating cohen and cohen kappa agreement, and print out all the codes, their agreement and how often they are used, in both our own codes and the peercodes.
- CalculateCodingAgreementResuls.txt: The output of the coding agreement in txt form.
- ParticipantsAnalysis.ipnb: Calculates all quantative data, including participants data, the one plot and all correlations.
- ParticipantsAnalysis.pdf: contains the same information as the previous file, but now in pdf, all the results and values can be read from both files.
- Plots/themes.png: bar chart of the amount each theme showed up.
- Data/where original data should be stored
- Output/Intro_codes.csv: our own codes with rand_id
- Output/Intro_peer_codes.csv: the peer codes with rand_id
